Find User By Screen Name
curl --request GET \
--url https://apigw.bienport.com/api/user/get-screen-name/{screenName} \
--header 'Authorization: <authorization>' \
--header 'OrganizationId: <organizationid>'import requests
url = "https://apigw.bienport.com/api/user/get-screen-name/{screenName}"
headers = {
"Authorization": "<authorization>",
"OrganizationId": "<organizationid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', OrganizationId: '<organizationid>'}
};
fetch('https://apigw.bienport.com/api/user/get-screen-name/{screenName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": 123,
"instanceId": 123,
"instanceName": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"emailAddressVerified": true,
"status": 123,
"nationalId": 123,
"screenName": "<string>",
"emailAddress": "<string>",
"timeZoneId": "<string>",
"localeId": "<string>",
"organizations": [
{
"name": "<string>",
"id": 123
}
],
"organizationIds": [
123
],
"roles": [
{
"roleId": 123,
"roleName": "<string>",
"type": 123,
"inherited": true,
"typePK": 123,
"typeName": "<string>"
}
],
"resources": [
{
"resourceId": 123,
"networkId": "<string>",
"resourceName": "<string>",
"enabled": true,
"modelName": "<string>",
"brandName": "<string>",
"treePath": "<string>",
"orgId": 123,
"resourceSensors": [
{
"type": "<string>",
"sensors": [
{
"id": 123,
"resourceId": 123,
"orderNo": 123,
"trueValue": "<string>",
"falseValue": "<string>",
"partitions": [
{
"name": "<string>",
"no": 123
}
],
"sensorId": 123,
"description": "<string>",
"hardwareSerialNumber": "<string>",
"sensorName": "<string>"
}
]
}
],
"resourceControllers": [
{
"hardwareSerialNumber": "<string>",
"id": 123,
"resourceId": 123,
"orderNo": 123,
"trueValue": "<string>",
"falseValue": "<string>",
"description": "<string>",
"controllerName": "<string>",
"controllerId": 123,
"partitions": [
{
"name": "<string>",
"no": 123
}
]
}
],
"resourceSubscriptionId": 123,
"subscriptionDocumentNo": "<string>",
"deviceSubType": "<string>"
}
]
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}This response has no body data.{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}Find User By Screen Name
GET
/
user
/
get-screen-name
/
{screenName}
Find User By Screen Name
Path Parameters
screenName
Response
User.
User response model
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I